Bug 1812745 - [4.5] `oc explain egressnetworkpolicy` returns empty description
Summary: [4.5] `oc explain egressnetworkpolicy` returns empty description
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.4
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: ---
: 4.5.0
Assignee: Aniket Bhat
QA Contact: huirwang
URL:
Whiteboard:
Depends On:
Blocks: 1812746
TreeView+ depends on / blocked
 
Reported: 2020-03-12 03:30 UTC by Liang Xia
Modified: 2020-03-17 01:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1812746 (view as bug list)
Environment:
Last Closed: 2020-03-16 17:22:41 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Liang Xia 2020-03-12 03:30:10 UTC
Description of problem:
`oc explain egressnetworkpolicy` returns empty description


Version-Release number of selected component (if applicable):
openshift-clients-4.4.0-202003060720.git.0.f2e420d.el7.x86_64
$ oc version --client -o yaml
clientVersion:
  buildDate: "2020-03-06T07:29:25Z"
  compiler: gc
  gitCommit: 2576e482bf003e34e67ba3d69edcf5d411cfd6f3
  gitTreeState: clean
  gitVersion: 4.4.0-202003060720-2576e48
  goVersion: go1.13.4
  major: ""
  minor: ""
  platform: linux/amd64


How reproducible:
Always

Steps to Reproduce:
1. oc explain egressnetworkpolicy


Actual results:
$ oc explain egressnetworkpolicy
KIND:     EgressNetworkPolicy
VERSION:  network.openshift.io/v1

DESCRIPTION:
     <empty>


Expected results:
Output the explanation of the resources.

Comment 2 Aniket Bhat 2020-03-16 14:52:41 UTC
@Liang Xia: what version of Openshift API server are you using? You only pasted the oc client version. This was fixed quite sometime back. 

Can you please verify?

Comment 5 Liang Xia 2020-03-17 01:14:06 UTC
A 4.3.5 cluster is used, I agree this can be closed.


Note You need to log in before you can comment on or make changes to this bug.